Starmade | Faction restriction does not apply for chests
Closed, FinishedPublic


Setting permission rank will not apply on chests and other functional blocks. This is fine for most but having your chests accessible to every faction member is not recommended.

A possible solution would be to implement a second permission rank that you can select on each chest or some sort of password system (link a display module to a chest?). Each chest would have his own permission rank requirement, allowing factions to have several chests on 1 entity that is each accessible for a select group.


Testing Results
Affected Gamemode(s)
Last tested (version)
0.19604 (Dev)
Issue Type
Control Block System: Functional
First occurrence (version)
Video Card Vendor
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 5 2015, 1:44 PM
lancake changed Category from none/unspecified to Control Block System: Functional.
lancake changed Affected Gamemode(s) from none/unspecified to Multiplayer.
lancake set First occurrence (version) to 0.1867.
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19247 (Dev).
lancake edited a custom field.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
lancake changed the task status from "Open" to "In Queue (Game)".Jun 5 2015, 4:30 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 8:58 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
AndyP set Issue Type to Bug.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
lancake claimed this task.Sep 21 2015, 10:48 AM
lancake changed Last tested (version) from 0.19247 (Dev) to 0.19349 (Dev).Sep 26 2015, 9:08 AM
lancake changed Last tested (version) from 0.19349 (Dev) to 0.19439 (Dev).Sep 26 2015, 10:08 AM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 3:00 AM
schema added a subscriber: schema.

should be fixed with inclusions of better permission system

lancake closed this task as "Closed".Mar 15 2016, 12:54 PM

The original issue is fixed, might want to improve the permission system a bit more at a later stage though.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 15 2016, 12:54 PM
lancake changed Last tested (version) from 0.19439 (Dev) to 0.19604 (Dev).Mar 15 2016, 12:55 PM

Add Comment